Subject: Re: [PATCH] Allow '+', '-' and '.' in remote helper names

From: Johannes Sixt <[email-masked]>
Date: Tue, 23 Feb 2010 14:19:08 +0100

Johannes Schindelin schrieb:
> May I caution against allowing "+" as part of filenames? On Windows, 
> thanks to the DOS garb^Wheritage, "+" is not really allowed...

I don't think that's true (and I also think it never was).

You may be refering to the copy command, where you can say

   copy a.txt+b.txt+c.txt abc.txt

to concatenate the source files. But this does not restrict how you can
name your files. If you have a file a+b.txt and want to use it with copy,
then you must use double-quotes:

   copy "a+b.txt" elsewhere.txt
   copy "a+b.txt"+c.txt abc.txt

-- Hannes